package com.saye.hrs.service.impl;

import com.saye.hrs.mapper.CountAuthMapper;
import com.saye.hrs.service.CountAuthService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Mr.zs
 * @date 2025/2/8
 */
@Service
@RequiredArgsConstructor
public class CountAuthServiceImpl implements CountAuthService {

    private final CountAuthMapper countAuthMapper;

    @Override
    public List<String> getAutherList() {
        return countAuthMapper.getAutherList();
    }

    @Override
    public List<String> getAuthoList(String openid) {


        return countAuthMapper.getAuthoList(openid);
    }

    @Override
    public List<String> getDeptAuthList(String openid) {
        return countAuthMapper.getDeptAuthList(openid);
    }
}
